<?php

declare(strict_types=1);

namespace Paysera\CheckoutSdk\Service\JWT;

use Firebase\JWT\JWT;
use stdClass;

class JwtBridge
{
    public function decode(
        string $jwt,
        $keyOrKeyArray,
        ?stdClass &$headers = null
    ): stdClass {
        return JWT::decode($jwt, $keyOrKeyArray, $headers);
    }
}
